Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
GENERIC_MATRIX< T > Class Template Reference

`#include <matrix.h>`

Inheritance diagram for GENERIC_MATRIX< T >:

List of all members.

## Public Member Functions

| GENERIC_MATRIX (int dimension, const T &empty)
int | dimension () const
Public Member Functions inherited from GENERIC_2D_ARRAY< T >
| GENERIC_2D_ARRAY (int dim1, int dim2, const T &empty)
| ~GENERIC_2D_ARRAY ()
bool | Serialize (FILE *fp) const
bool | DeSerialize (bool swap, FILE *fp)
bool | SerializeClasses (FILE *fp) const
bool | DeSerializeClasses (bool swap, FILE *fp)
int | dim1 () const
int | dim2 () const
int | index (int column, int row) const
void | put (int column, int row, const T &thing)
T | get (int column, int row) const
const T & | operator() (int column, int row) const
T & | operator() (int column, int row)
T * | operator[] (int column)
void | delete_matrix_pointers ()

## Detailed Description

### template<class T>
class GENERIC_MATRIX< T >

Definition at line 180 of file matrix.h.

## Constructor & Destructor Documentation

template<class T>

GENERIC_MATRIX< T >::GENERIC_MATRIX | ( | int | dimension,
|  | const T & | empty
| ) |  |

inline

Definition at line 185 of file matrix.h.

: GENERIC_2D_ARRAY<T>(dimension, dimension, empty) {
}

## Member Function Documentation

template<class T>

int GENERIC_MATRIX< T >::dimension | ( |  | ) | const

inline

Definition at line 190 of file matrix.h.

{ return this->dim1(); }

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/matrix.h